Bug 203109 - -n option in manual page is misleading
-n option in manual page is misleading
Product: Fedora
Classification: Fedora
Component: cvs (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Martin Stransky
Ben Levenson
Depends On:
  Show dependency treegraph
Reported: 2006-08-18 10:26 EDT by Nigel Horne
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-08-21 04:57:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Nigel Horne 2006-08-18 10:26:05 EDT
Description of problem:

According to 'man cvs', the -n option is "global", yet if you
try 'cvs update -n' you get a usage message which doesn't include
the -n option. Either -n isn't global, in which case the manual
is wrong, or it is, in which case the program is wrong.

Version-Release number of selected component (if applicable):

How reproducible:
Every time

Steps to Reproduce:
1. man cvs
2. cvs update -n
Actual results:
update: invalid option -- n
Usage: cvs update [-APCdflRp] [-k kopt] [-r rev] [-D date] [-j rev]
    [-I ign] [-W spec] [files...]
        -A      Reset any sticky tags/date/kopts.
        -P      Prune empty directories.
        -C      Overwrite locally modified files with clean repository copies.
        -d      Build directories, like checkout does.
        -f      Force a head revision match if tag/date not found.
        -l      Local directory only, no recursion.
        -R      Process directories recursively.
        -p      Send updates to standard output (avoids stickiness).
        -k kopt Use RCS kopt -k option on checkout. (is sticky)
        -r rev  Update using specified revision/tag (is sticky).
        -D date Set date to update from (is sticky).
        -j rev  Merge in changes made between current revision and rev.
        -I ign  More files to ignore (! to reset).
        -W spec Wrappers specification line.
(Specify the --help global option for a list of other help options)

Expected results:
See 'man cvs' for the expected results.

Additional info:
Comment 1 Martin Stransky 2006-08-21 04:57:53 EDT
you have to use "cvs -n update"

Note You need to log in before you can comment on or make changes to this bug.